Get Job Status - Beeble API Documentation
Get Job Status
cURL
curl --request GET \
--url https://api.beeble.ai/v1/switchx/generations/{job_id} \
--header 'x-api-key: <api-key>'
Python
import requests
url = "https://api.beeble.ai/v1/switchx/generations/{job_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeble.ai/v1/switchx/generations/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Structure
200 - application/json
Successful Response:
{
"id": "<string>",
"status": "<string>",
"progress": 72,
"generation_type": "<string>",
"alpha_mode": "<string>",
"output": {
"render": "<string>",
"source": "<string>",
"alpha": "<string>"
},
"seed": 123,
"error": "<string>",
"created_at": "<string>",
"modified_at": "<string>",
"completed_at": "<string>",
"webhook": {
"status": "<string>",
"attempts": 1,
"last_error": "<string>"
}
}
Authorizations
- x-api-key : string, required, header, Your Developer API key.
Path Parameters
- job_id : string, required